# Create a base Ubuntu image to build upon
FROM xaicorp/php:7.0
MAINTAINER Richard Morgan <r_morgan@sympatico.ca>

RUN apt-get update && apt-get install -y \
    php-xdebug \
  && apt-get clean && rm -rf /var/lib/apt/lists/* /tmp/* /var/tmp/* \
  && echo "xdebug.remote_enable=on" >> /etc/php/7.0/mods-available/xdebug.ini \
  && echo "xdebug.remote_autostart=on" >> /etc/php/7.0/mods-available/xdebug.ini \
  && echo "xdebug.remote_port = 9001" >> /etc/php/7.0/mods-available/xdebug.ini \
  && echo "xdebug.max_nesting_level=300" >> /etc/php/7.0/mods-available/xdebug.ini \
  && echo "xdebug.remote_connect_back=1" >> /etc/php/7.0/mods-available/xdebug.ini \
  && apt-get clean && rm -rf /var/lib/apt/lists/* /tmp/* /var/tmp/*
